#
# spec file for package perl-XML-Stream (Version 1.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-MIME-Base64 perl-Unicode-String
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-MIME-Base64 perl-Unicode-String ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-XML-Stream
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Requires:     perl-Unicode-String perl-MIME-Base64
Autoreqprov:  on
Summary:      Creates and XML Stream connection and parses return data
Version:      1.12
Release:      29
Source:       XML-Stream-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-build

%description
This module provides the user with methods to connect to a remote server,
send a stream of XML to the server, and receive/parse an XML stream from
the server. It is primarily based work for the Etherx XML router
developed by the Jabber Development Team. For more information about
this project visit http://etherx.jabber.org/stream/.

Authors:
--------
    Ryan Eatmon <reatmon@ti.com> 
    Thomas Charron <tcharron@jabber.org> 
    

SuSE series: perl

%prep
%setup -n XML-Stream-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-XML-Stream
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/XML/Stream
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%doc README MANIFEST CHANGES INFO LICENSE.LGPL
%{perl_sitearch}/../XML/Stream.pm
%{perl_sitearch}/../XML/Stream
%{perl_sitearch}/auto/XML/Stream
/var/adm/perl-modules/perl-XML-Stream

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog -n perl-XML-Stream
* Wed Aug 15 2001 - rvasice@suse.cz
- initial package release (version 1.12)
